import { EventEmitter } from "@angular/core";
export declare class CSVExportFile {
    file_name: string;
    file_extension: string;
}
export declare const CSV_EXPORT_TYPES: {
    CSV: string;
    JSON: string;
};
export declare class CSVExport {
    private json;
    private exportType;
    JSONEmiter: EventEmitter<{}>;
    private fileData;
    setFileData(fileData: CSVExportFile): void;
    export(): void;
    setJSON(json: any): void;
    setExportType(type: any): void;
    exportCSV(): void;
    exportJSON(): void;
}
export declare class TextFileDownloader {
    private content;
    private file_name;
    private file_extension;
    private fileblob;
    constructor(content: string, file_name?: string, file_extension?: string);
    private createTextFile();
    private downloadTextFile();
}
