import { EventEmitter } from "@angular/core";
import { CSV_HEAD } from "../../../index";
export interface StringSimilarityMatch {
    bestMatch: Rating;
    ratings: Rating[];
}
export interface Rating {
    rating: number;
    target: string;
}
export declare class CSVHandler {
    headers: any[];
    rows: any[];
    guessTreshold: number;
    headerModel: CSV_HEAD[];
    dataImported: EventEmitter<{}>;
    setRows(rows: any): void;
    private formHeaders(headers);
    private guessHeaders(header);
    setDataHeaders(dataHeader: CSV_HEAD[]): void;
    setHeaders(headers: any): void;
    exportData(): void;
    headerModelChanged(head: any): void;
    getRowsLenght(): number;
}
