import { NgZone } from "@angular/core";
import { CSVParser } from "./csv-service/csv-parse";
import { CSVHandler } from "./csv-service/csv-import";
import { CSVExport } from "./csv-service/csv-export";
export declare class CSVService {
    private zone;
    private dataHeaders;
    parser: CSVParser;
    handler: CSVHandler;
    exporter: CSVExport;
    constructor(zone: NgZone);
    parse(file: any, encoding?: any): void;
    setDataHeader(header: CSV_HEAD[]): void;
    private onCSVParseCompleate();
    private onDataImport();
}
export interface CSV_HEAD {
    slug: string;
    label: string;
    tr_label: string;
}
