import { EventEmitter } from '@angular/core';
export interface PapaParseConfig {
    complete?: any;
    newline?: string;
    delimiter?: string;
    quoteChar?: string;
    header?: boolean;
    dynamicTyping?: boolean;
    preview?: number;
    encoding?: string;
    worker?: boolean;
    comments?: boolean;
    step?: any;
    error?: any;
    download?: boolean;
    skipEmptyLines?: boolean;
    chunk?: any;
    fastMode?: any;
    beforeFirstChunk?: any;
    withCredentials?: any;
}
export declare const PARSSING_STATES: {
    NO_ACTION: string;
    PROSSESING: string;
    DETECTING_ENCODING: string;
    DONE: string;
    FAILED: string;
};
export declare const PARSING_ACTIONS: {
    AUTO_DETECT_ENCODING: string;
};
export declare class CSVParser {
    file: any;
    workingState: string;
    private static processing;
    private static parsingJobDone;
    private static failedJob;
    complete: EventEmitter<{}>;
    failed: EventEmitter<{}>;
    constructor();
    handleRows(rows: any): void;
    setFile(file: any): void;
    parse(encoding?: string, config?: PapaParseConfig): void;
    static onComplete(rows: any): void;
}
