import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {CsvParserComponentComponent} from './csv-parser-component/csv-parser-component.component';
import {FormsModule} from "@angular/forms";
import {CSVService} from "./csv-parser-component/csv.service";

@NgModule({
    imports: [
        CommonModule,
        FormsModule
    ],
    declarations: [CsvParserComponentComponent],
    providers: [CSVService],
    exports:[CsvParserComponentComponent]
})
export class CsvParserModule {
}
